[Resolved] Web server cp21.xx on cp21.xx is automatically restarted

Discussion in 'General' started by optize, Aug 9, 2010.

  1. optize

    optize New Member

    Anyone else having issues with 4.0.16? I'm getting these emails about every minute, however there's nothing in /tmp/lshttpd/
    --


    At [08/Aug/2010:21:58:14 -0500], web server with pid=14510 received unexpected signal=4, a core file is created. A new instance of web server will be started automatically!

    Please forward the following debug information to bug@litespeedtech.com.
    Environment:

    Server: LiteSpeed/4.0.16 Enterprise
    OS: Linux
    Release: 2.6.18-294.8.1.el5.lve0.6.23
    Version: #1 SMP Thu Jul 22 11:56:30 EEST 2010
    Machine: x86_64

    If the call stack information does not show up here, please compress and forward the core file located in /tmp/lshttpd/.
    Last edited by a moderator: Aug 10, 2010
  2. optize

    optize New Member

    I downgraded to 4.0.15 which seemed to make the email / crashes stop.
  3. [cwh]

    [cwh] New Member

    Yes - we are seeing these as well and are currently investigating the situation.

    I can also confirm that downgrading back to 4.0.15 corrects the issue.

    One thing I have noticed is that these messages seem to be almost exactly 1-2 hours apart. Sometimes one hour, sometimes two hours. I thought it may have something to do with cron but we're not seeing anything that could be getting in the way.

    This also seems to only affect certain systems - not every system we've installed 4.0.16 on is affected by this signal 4 problem.

    We are gathering information and will be submitting a ticket to the LiteSpeed staff shortly. If any others are experiecing this issue and have any ideas we'd love to hear from you.
  4. hink

    hink New Member

    We have a client experiencing the exact same issue. We will submit a ticket as well once we have more information.

    When I attempt to "switchto" 4.0.15 it completes successfully, however it does not roll back. The server remains on 4.0.16.

    Does a "Force Reinstall" use current server settings?

    This particular install is integrated with Plesk Control panel. Are your problem instances integrated with a control panel of any sort?
  5. [cwh]

    [cwh] New Member

    >> When I attempt to "switchto" 4.0.15 it completes successfully, however it does not roll back. The server remains on 4.0.16.

    You may need to just issue a restart of the server - I've seen this a few times myself and a simple 'graceful' restart will typically show the correct version (4.0.15) at that point.

    On another note - I'm testing on two servers now where I did a 'Force Reinstall' and neither of these testing servers has thrown an error in approximately 2 hours. I am going to continue to monitor the servers for any errors for a few more hours to see if this re-installation actually resolves this issue. I'll update this ticket in a few hours to let you know the progress - however, we were getting these messages every 1-2 hours on the hour - so making it past the two hour mark is pretty promising.

    >> This particular install is integrated with Plesk Control panel. Are your problem instances integrated with a control panel of any sort?

    We are experiencing the issue on cPanel integrated servers, however - only a very small number of servers exhibit the problem. Rolling them back to 4.0.15 resolved the issue. Now, testing that 'Force Reinstall' for a few more hours and will let you know.
    Last edited: Aug 9, 2010
  6. [cwh]

    [cwh] New Member

    FWIW - After forcing a re-install of 4.0.16 on two different testing environments that were experiencing this problem we've now passed 5 hours without a single Signal 4 error or restart.

    It would appear that simply using the 'force reinstall' feature under Version Manager corrects the issue.

    I'll post a note if we see any further occurances, but given the fact that the longest spread between two incidences was 2 hours, I think this has done the trick.

    Hope this helps others.
    Last edited: Aug 9, 2010
  7. hink

    hink New Member

    Thanks for the update. I would still like an official Litespeed reply on this one though. This seems like a significant issue.
  8. Tony

    Tony Member

    It was a bug in a 4.0.16 build that was corrected.
  9. [cwh]

    [cwh] New Member

    Thanks for that - it certainly helps to explain a lot.
  10. oginome

    oginome New Member

    Oh Thx.
    But what do you mean of "was corrected" ?
    Or you mean 4.0.17 has fixed it ?
  11. Tony

    Tony Member

    My understanding is there was an issue with 4.0.16 with new Xen detection code which caused the signal 4's for all systems. It was corrected in an updated 4.0.16 build so the version number did not change.

Share This Page